This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 662380 - Encrypted disks do not work
Encrypted disks do not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-12 04:36 EST by Geert Jansen
Modified: 2013-03-13 02:21 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-24 17:01:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XML file used when creating the secret (38 bytes, text/xml)
2010-12-12 04:37 EST, Geert Jansen
no flags Details
XML file used when creating the disk (289 bytes, text/xml)
2010-12-12 04:38 EST, Geert Jansen
no flags Details

  None (edit)
Description Geert Jansen 2010-12-12 04:36:10 EST
Description of problem:

Encrypted disks do not work.

Version-Release number of selected component (if applicable):

virt-manager-0.8.5-1.fc14.noarch
libvirt-0.8.3-2.fc14.x86_64
qemu-kvm-0.13.0-1.fc14.x86_64

How reproducible:

Always

Steps to Reproduce:

1. virsh secret-define secret.xml
2. virsh secret-set-value <uuid> <value>
3. virsh vol-create disk.xml
4. use virt-manager to create any VM using the encrypted disk
  
Actual results:

When you finish the new VM wizzard in virt-manager, the following error message is displayed:

Unable to complete install: 'cannot send monitor command 'cont': Resource temporarily unavailable

Expected results:

The install should continue on the encrypted disk.

Additional info:

When creating the VM with "virsh create" instead of virt-manager, an error occurs too. In this case, the "virsh create" hangs. I can see that the qemu process is started up, but when i connect to it via VNC i get a black screen.
Comment 1 Geert Jansen 2010-12-12 04:37:31 EST
Created attachment 468197 [details]
XML file used when creating the secret
Comment 2 Geert Jansen 2010-12-12 04:38:10 EST
Created attachment 468198 [details]
XML file used when creating the disk
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:58:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-09-22 14:01:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 14:57:50 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 14:59:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:04:01 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-11-30 15:04:39 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Cole Robinson 2012-01-24 17:01:22 EST
Sorry for not addressing this bug, but F14 is EOL now, so I'm closing this report. Please reopen if this is still relevant in a more recent fedora.

Note You need to log in before you can comment on or make changes to this bug.